# （十四）下拉框选择



<br>
有时我们会碰到下拉框，WebDriver提供了Select类来处理下拉框。
如百度搜索设置的下拉框，如下图：
![](http://orru5lls3.bkt.clouddn.com/select.png)
```python
from selenium import webdriver
from selenium.webdriver.support.select import Select
from time import sleep

driver = webdriver.Chrome()
driver.implicitly_wait(10)
driver.get('http://www.baidu.com')

# 鼠标悬停至“设置”链接
driver.find_element_by_link_text('设置').click()
sleep(1)
# 打开搜索设置
driver.find_element_by_link_text("搜索设置").click()
sleep(2)

# 搜索结果显示条数
sel = driver.find_element_by_xpath("//select[@id='nr']")
Select(sel).select_by_value('50')  # 显示50条
# ……

driver.quit()
```
Select类用于定位select标签。
select_by_value() 方法用于定位下接选项中的value值。




原始封面

![课程图片](https://images.unsplash.com/photo-1431887773042-803ed52bed26?w=300)


